ApplicationGatewayWebApplicationFirewallConfiguration Class
Application gateway web application firewall configuration.
All required parameters must be populated in order to send to Azure.
- Inheritance
-
ApplicationGatewayWebApplicationFirewallConfiguration
Constructor
ApplicationGatewayWebApplicationFirewallConfiguration(*, enabled: bool, firewall_mode: typing.Union[str, _ForwardRef('ApplicationGatewayFirewallMode')], rule_set_type: str, rule_set_version: str, disabled_rule_groups: typing.Union[typing.List[_ForwardRef('ApplicationGatewayFirewallDisabledRuleGroup')], NoneType] = None, request_body_check: typing.Union[bool, NoneType] = None, max_request_body_size: typing.Union[int, NoneType] = None, **kwargs)
Parameters
- enabled
- bool
Required. Whether the web application firewall is enabled or not.
- firewall_mode
- str or ApplicationGatewayFirewallMode
Required. Web application firewall mode. Possible values include: "Detection", "Prevention".
- rule_set_type
- str
Required. The type of the web application firewall rule set. Possible values are: 'OWASP'.
- rule_set_version
- str
Required. The version of the rule set type.
- disabled_rule_groups
- list[ApplicationGatewayFirewallDisabledRuleGroup]
The disabled rule groups.
- request_body_check
- bool
Whether allow WAF to check request Body.
- max_request_body_size
- int
Maximum request body size for WAF.
Feedback
Submit and view feedback for